Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.ftp
Interface FtpClient

public interface FtpClient

What VFS expects from an ftp client to provide.

Method Summary
`boolean` | `abort()`
`OutputStream` | `appendFileStream(String relPath)`
`boolean` | `completePendingCommand()`
`boolean` | `deleteFile(String relPath)`
`void` | `disconnect()`
`String` | `getReplyString()`
`boolean` | `isConnected()`
`org.apache.commons.net.ftp.FTPFile[]` | `listFiles(String relPath)`
`boolean` | `makeDirectory(String relPath)`
`boolean` | `removeDirectory(String relPath)`
`boolean` | `rename(String oldName, String newName)`
`InputStream` | `retrieveFileStream(String relPath)`
`InputStream` | `retrieveFileStream(String relPath, long restartOffset)`
`OutputStream` | `storeFileStream(String relPath)`

Method Detail

### isConnected

    public boolean isConnected()
                        throws FileSystemException

  Throws:
    `FileSystemException`

### disconnect

    public void disconnect()
                    throws IOException

  Throws:
    `IOException`

### listFiles

    public org.apache.commons.net.ftp.FTPFile[] listFiles(String relPath)
                                                   throws IOException

  Throws:
    `IOException`

### removeDirectory

    public boolean removeDirectory(String relPath)
                            throws IOException

  Throws:
    `IOException`

### deleteFile

    public boolean deleteFile(String relPath)
                       throws IOException

  Throws:
    `IOException`

### rename

    public boolean rename(String oldName,
                          String newName)
                   throws IOException

  Throws:
    `IOException`

### makeDirectory

    public boolean makeDirectory(String relPath)
                          throws IOException

  Throws:
    `IOException`

### completePendingCommand

    public boolean completePendingCommand()
                                   throws IOException

  Throws:
    `IOException`

### retrieveFileStream

    public InputStream retrieveFileStream(String relPath)
                                   throws IOException

  Throws:
    `IOException`

### retrieveFileStream

    public InputStream retrieveFileStream(String relPath,
                                          long restartOffset)
                                   throws IOException

  Throws:
    `IOException`

### appendFileStream

    public OutputStream appendFileStream(String relPath)
                                  throws IOException

  Throws:
    `IOException`

### storeFileStream

    public OutputStream storeFileStream(String relPath)
                                 throws IOException

  Throws:
    `IOException`

### abort

    public boolean abort()
                  throws IOException

  Throws:
    `IOException`

### getReplyString

    public String getReplyString()
                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.